# Uses of Interface
org.codehaus.janino.ITypeVariableOrIClass

Packages that use ITypeVariableOrIClass
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of ITypeVariableOrIClass in org.codehaus.janino

Subinterfaces of ITypeVariableOrIClass in org.codehaus.janino
Modifier and Type
Interface
Description
`interface`
`ITypeVariable`
Type bounds can either be a class or interface type, or a type variable.
Classes in org.codehaus.janino that implement ITypeVariableOrIClass
Modifier and Type
Class
Description
`class`
`ClassFileIClass`
A wrapper object that turns a `ClassFile` object into an `IClass`.
`class`
`IClass`
A simplified equivalent to "java.lang.reflect".
Methods in org.codehaus.janino that return ITypeVariableOrIClass
Modifier and Type
Method
Description
`ITypeVariableOrIClass[]`
ITypeVariable.`getBounds()`